Summary: Minimal Postfix SMTP proxy
Name: postprox
Version: 0.2.0
Release: 1
License: Artistic
Group: Development/Tools
Source0: http://www.ivarch.com/programs/sources/%{name}-%{version}.tar.bz2
Source1: http://www.ivarch.com/programs/sources/%{name}-%{version}.tar.bz2.txt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The minimal Postfix SMTP proxy copies an SMTP conversation between its input
and another SMTP server, but spools the DATA portion to a temporary file and
runs a specified program on it before passing it on to the output server -
or outputting an SMTP error code instead if the content filter says so.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --sysconfdir=/etc \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

gunzip ${RPM_BUILD_ROOT}%{_mandir}/man?/*.gz || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/sbin
cd usr/sbin
ln -sf ../..%{_sbindir}/* .


%post
chmod 755 /usr/share/doc/postprox-%{version}/*.sh 2>/dev/null || :
chmod 755 /usr/share/doc/postprox-%{version}/*.pl 2>/dev/null || :


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README doc/NEWS doc/TODO doc/COPYING extra/*.sh
%{_sbindir}/%{name}
%{_mandir}/man1/*
/usr/sbin/%{name}


%changelog
* Mon Mar 18 2013 Michael Perzl <michael@perzl.org> - 0.2.0-1
- first version for AIX V5.1 and higher
